<template>
  <div class="settings-container">
    <div class="title">Работа с модулем БЦ</div>
    <div class="radio-block">
      <ob-checkbox
        :value="settings.needSendSpotOrderToBasePrice"
        label="Передавать спотовые заказы в модуль Базовых цен"
        @change="onSaveField('needSendSpotOrderToBasePrice', $event)"
      />
    </div>

    <div class="title">Срок перехода заказа в архив</div>
    <div class="setting-row">
      <div class="setting-row__description">Через сколько дней после оплаты заказ перейдет в архив.</div>
      <div class="setting-row__input">
        <ob-input
          :value="settings.orderArchivePeriod"
          label="Срок перехода в архив"
          placeholder="0"
          sub-title="дней"
          type="number:strict"
          @blur="onSaveField('orderArchivePeriod', $event)"
        />
      </div>
    </div>
  </div>
</template>

<script>
import obCheckbox from 'common-components/src/obComponents/obCheckbox'
import obInput from 'common-components/src/obComponents/obInput'

export default {
  name: 'PersonalAccountSettingsGeneral',
  components: {
    obCheckbox,
    obInput
  },
  props: {
    settings: {
      required: true,
      type: Object
    }
  },
  methods: {
    onSaveField (path, event) {
      let value = event.target ? event.target.value : event

      this.$emit('on-save-field', { path, value })
    }
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.title {
  margin-bottom: 10px;
  margin-top: 30px;
  @include font-mixin(20px,28px, 700, $color-text-base, 0.4px);
}

.setting-row {
  &__input {
    width: 210px;
  }

  &__description {
    margin-bottom: 10px;
    @include font-mixin(14px, 18px, 400, $color-text-base);
  }
}
</style>